The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Delete a Sub Interface

Prev Next

This URL deletes a sub interface. Only Sub Interface can be deleted, if an interface_id is mentioned, the operation throws an error.

Resource URL

DELETE /sensor/<sensor_id>/interface/<subinterface_id>

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

sensor_id

Sensor Id

Number

Yes

subinterface_id

Unique sub Interface ID

Number

Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

Status

Status returned by deletion

Number

Example

Request

DELETE https://<NSM_IP>/sdkapi/sensor/1001/interface/124

Response

{
"status":1
}

Error Information

Following error codes are returned by this URL:

S.No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

404

1106

Invalid Sensor

2

404

1107

Invalid interface or sub-interface id